Cassandra
Keywords: com.artenum.cassandra.Cassandra class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.cassandra
Class Cassandra

    java.lang.Object
      com.artenum.cassandra.Cassandra

    public class Cassandra

extends java.lang.Object

     Project ref           : CASSANDRA project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 04/03/2005
     Modification          :
          - 21/04/2005: Add the SkinLF part
          - 17/05/2005: Add runtime configuration file

     Description  : Launch and set the default components for Cassandra

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Sebastien Jourdain, jourdain@artenum.com | Creation

Version:
  0.1
Author:
  Sebastien Jourdain

Constructor Summary
`Cassandra()`

Method Summary
`void` | `addPreferenceListener(PreferenceListener pl)`
`com.artenum.cassandra.action.CassandraActionListener` | `getActionManager()`
`com.artenum.cassandra.ui.CassandraMenu` | `getDefaultMenu()`
`com.artenum.cassandra.ui.CassandraToolBar` | `getDefaultToolBar()`
`javax.swing.JComponent` | `getDefaultUI()`
`PipeLineManager` | `getPipeLineManager()`
`PluginManager` | `getPluginManager()`
`java.util.Hashtable` | `getPreferences()`
`com.artenum.cassandra.vtk.CassandraView` | `getRendererPanel()`
`void` | `loadPluginInDirectory(java.io.File pluginDir)`
`static void` | `main(java.lang.String[] args)`
`void` | `notifyPreferenceListener()`
`void` | `removePreferenceListener(PreferenceListener pl)`
`void` | `setPreference(java.lang.String key, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cassandra

    public Cassandra()
              throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### getDefaultUI

    public javax.swing.JComponent getDefaultUI()

### getDefaultMenu

    public com.artenum.cassandra.ui.CassandraMenu getDefaultMenu()

### getPipeLineManager

    public PipeLineManager getPipeLineManager()

### getRendererPanel

    public com.artenum.cassandra.vtk.CassandraView getRendererPanel()

### getDefaultToolBar

    public com.artenum.cassandra.ui.CassandraToolBar getDefaultToolBar()

### getPluginManager

    public PluginManager getPluginManager()

### getActionManager

    public com.artenum.cassandra.action.CassandraActionListener getActionManager()

### loadPluginInDirectory

    public void loadPluginInDirectory(java.io.File pluginDir)

### addPreferenceListener

    public void addPreferenceListener(PreferenceListener pl)

### removePreferenceListener

    public void removePreferenceListener(PreferenceListener pl)

### setPreference

    public void setPreference(java.lang.String key,
                              java.lang.Object value)

### getPreferences

    public java.util.Hashtable getPreferences()

### notifyPreferenceListener

    public void notifyPreferenceListener()

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com